Bun

Bun

@bun.sh

Bun is a fast, all-in-one toolkit for installing, bundling, running and testing JavaScript & TypeScript. To install Bun: ``` curl https://bun.sh/install | bash -s ``` https://bun.sh

3.6K followers1 following52 posts

Bun v1.2.15 - Fixes 11 issues (addressing 261 ๐Ÿ‘) - `bun audit` scans for vulnerabilities - `bun pm view <pkg>` - `bun init` adds a Cursor rule - `bun ./index.html` gets "Automatic workspace folders" edit files in browser - Fixes for vm & worker_threads bun.sh/blog/bun-v1....

bun.shBun v1.2.15Fixes 11 issues (addressing 261 ๐Ÿ‘). bun audit scans dependencies for security vulnerabilities, bun pm view shows package metadata from npm. bun init adds a Cursor rule to use Bun instead of Node.js/Vi...

Bun v1.2.14 - Fixes 39 issues (addressing 179 ๐Ÿ‘) - Catalogs in bun install simplify sharing dependency versions in monorepos - Fixes HTTPS proxy issue impacting OpenAI Codex - zstd + fetch - Several Node compatibility bugfixes Thanks to 13 contributors! bun.sh/blog/bun-v1....

bun.shBun v1.2.14Fixes 39 issues (addressing 179 ๐Ÿ‘). Adds support for catalogs in bun install, --react flag for bun init, improved HTTP routing with method-specific routes, better TypeScript default module settings, f...

Bun v1.2.12 - Echo browser console logs to terminal - Reduced memory usage for frontend hmr with Bun.serve() - Node.js compatibility fixes for `timers`, `vm`, `net`, and `http` - bugfix for global postinstalls impacting Claude Code thx 10 contributors! bun.sh/blog/bun-v1....

bun.shBun v1.2.12Stream browser console logs to your terminal, dev server uses less memory. Node.js compatibility improvements for timers, vm, net, http, and bugfixes for TextDecoder, hot reloading reliability bugfixe...

Bun v1.2.8 - Fixes 18 bugs (addressing 18 ๐Ÿ‘) - napi perf improvement for integers - 2x faster headers.get() - node:http & node:fs bugfixes - `bun install --frozen-lockfile` + `overrides` fix - `bun pack` directory-specific ignores Full release notes below

Bun v1.2.7 - Fixes 35 bugs (addressing 219 ๐Ÿ‘) - Builtin request.cookies.set & get in Bun.serve() routes - Fixed TypeScript type definitions conflicts with `@types/node` & libdom - Bugfixes for node:http, node:vm Thanks to 13 contributors! Full release notes below

Bun v1.2.6 - Fixes 74 bugs (addressing 36 ๐Ÿ‘) - node:crypto gets faster & more Node.js compatible - Faster fastify & express - `timeout` in Bun.spawn - Dev Server stability fixes - Bun.SQL unix domain sockets Thanks to 23 contributors! bun.sh/blog/bun-v1....

bun.shBun v1.2.6Fixes 74 bugs (addressing 36 ๐Ÿ‘). Faster, more compatible node:crypto. `timeout` option in Bun.spawn. Support for `module.children` in `node:module`. Connect to PostgreSQL via unix sockets with `Bun.SQ...

Bun v1.2.5 - Fixes 75 bugs (addressing 162 ๐Ÿ‘) +69 passing tests from Node.js - Frontend Dev Server fixes, CSS Modules support - Full rewrite of N-API (napi addons) - Faster Sign, Verify, Hash, Hmac from node:crypto Thanks to 25 contributors! bun.sh/blog/bun-v1....

bun.shBun v1.2.5Fixes 75 bugs (addressing 162 ๐Ÿ‘), and adds +69 passing Node.js tests. Improvements to the frontend dev server, CSS modules support, a full rewrite of Node-API, faster `Sign`, `Verify`, `Hash`, `Hmac` ...

Bun reposted

Bun v1.2.3 - Fixes 128 bugs (addressing 349 ๐Ÿ‘) - Incredibly fast frontend dev server with hot reloading - Builtin routes in Bun.serve - Many Bun.SQL fixes - Wasm gets faster - Node compatibility improvements for napi & Buffer Thanks to 23 contributors! bun.sh/blog/release...

bun.shBun v1.2.3Fixes 128 bugs (addressing 349 ๐Ÿ‘). Bun gets a full-featured frontend development toolchain with incredibly fast hot reloading and bundling. Built-in routing for Bun.serve() makes it simpler to build w...

Bun reposted

And done! Try exporting your Paper docs with my new tool: www.npmjs.com/package/drop...

npmjs.comdropbox-paper-export-2020plus## A command-line tool to export your Dropbox Paper docs. Latest version: 1.0.1, last published: 10 hours ago. Start using dropbox-paper-export-2020plus in your project by running `npm i dropbox-paper...
Dave Vasilevsky @vasilevsky.ca

Hmm, looks like Dropbox just upgraded me to a new API version, exciting! But it apparently also means I can't bulk-export my Dropbox Paper docs anymore!? And now have to export all of my hundreds of docs, one at a time!?! Welp, I guess it's time to write a bulk-doc-exporter tool.

In the next version of Bun Bun.serve() gets builtin support for hot reloading frontend applications.

The above is a TailwindCSS + shadcn/ui Twitter frontend clone demo app. This is hot reloading css & js/ts/tsx, running a tailwindcss plugin, transpiling jsx/tsx, websocket hmr happening live as you type.

Bun v1.2.2 - Fixes 38 bugs (addressing 129 ๐Ÿ‘) - JavaScript idle memory usage reduced by 10โ€“30% - Fixes v1.2.1 regression impacting `vite build` - Node compatibility fixes - Reliability improvements to Bun.SQL and Bun.S3Client Thanks to 12 contributors! bun.sh/blog/bun-v1....

bun.shBun v1.2.2Fixes 38 bugs (addressing 129 ๐Ÿ‘). JavaScript idle memory usage drops by 10โ€“30%. Fixes regression impacting vite build. Reliability improvements to Bun.SQL, Bun.S3Client, Bun's CSS parser. Node.js comp...

Bun v.1.2.1 - Fixes 32 bugs - S3Client gets `storageClass` support - X25519 support in node:crypto - Node.js compatibility improvements for node:fs & node:child_process. fs.stat uses less memory. - Several memory leak fixes Thanks to 16 contributors! bun.sh/blog/bun-v1....

bun.shBun v1.2.1Fixes 32 bugs. S3 storage class support, X25519 support in crypto.generateKeyPair. fs.stat uses less memory. node:fs, node:child_process, and node:process compatibility improvements. CSS parser bugfix...

Bun v1.1.45 - Fixes 13 bugs (addressing 50 ๐Ÿ‘) - X509Certificate, diffieHellman, getCipherInfo in 'crypto' - 82% of Node.js' "stream" tests pass (several remaining test Node internals) - Bugfixes to fs.mkdir and more Thanks to 5 contributors! bun.sh/blog/bun-v1....

bun.shBun v1.1.45Fixes 13 bugs (addressing 50 ๐Ÿ‘) 82% of the 'streams' module tests from Node.js' test suite now pass in Bun. node:crypto now implements diffieHellman, getCipherInfo, and X509Certificate. The checkServe...

Bun v1.1.44 - Fixes 43 bugs - 90% of Node's tests for the `dns` module pass in Bun - Bundle & serve frontend apps in Bun.serve() - `bunx --no-install <pkg> [...]` - Bugfixes to Bun's S3 client, HTMLRewriter, node:fs and more Thanks to 21 contributors! bun.sh/blog/bun-v1....

bun.shBun v1.1.44Fixes 43 bugs. > 90% of the 'dns' module tests from Node.js' test suite now pass in Bun. You can now build frontend applications on-demand in Bun.serve(). Adds xxHash support to Bun.hash(). Adds suppo...

Bun v1.1.43 - 1st-class S3 support - HTML bundler - V8 heap snapshots - All but 1 of Node.js' "zlib" tests pass - 100% of Node.js[ "path" module tests pass - Many reliability & Node.js compatibility improvements Thanks to 22 contributors! bun.sh/blog/bun-v1....

bun.shBun v1.1.43Bun v1.1.43 introduces 1st-class S3 support, HTML bundling, bun install --filter, V8 heap snapshots, bun install --lockfile-only, bun add --peer, 100% of `node:path` module Node.js test pass, 98% of `...

In the next version of Bun Bun gets first-class support for S3. Upload, download, stream, and presign with 0 dependencies

When you pass `new Response` an S3 file, it turns into a redirect to a presigned expiring URL so that you don't waste your server's resources downloading to S3 and sending to the user

The API is designed to work very similarly to Response, Blob, and Bun.file(path), so you can read from S3 just like from the local filesystem or fetch().

Bun v1.1.41 - Fixes 12 bugs (addressing 196 ๐Ÿ‘) - JSDOM & happy-dom fixes - Customize the icon on Windows in single-file executables - bun install --omit=dev - `"use strict";` is now CommonJS - expect().toHaveBeenCalledOnce() Thanks to 6 contributors! bun.sh/blog/bun-v1....

bun.shBun v1.1.41Fixes 12 bugs (addressing 196 ๐Ÿ‘). JSDOM & happy-dom work more reliably due to node:vm compatibility improvements. Single-file executables on Windows now support custom icons and hiding the console. th...

Bun v1.1.40 - Fixes 14 bugs - Adds `install.saveTextLockfile` to bunfig.toml (on by default in Bun v1.2) - Fixes a regression in process.on - Fixes a napi issue impacting DuckDB - More reliable git dependencies in bun install Thanks to 4 contributors! bun.sh/blog/bun-v1....

bun.shBun v1.1.40Fixes 14 bugs. Adds `install.saveTextLockfile` option in bunfig.toml to make the text lockfile format the default. Fixes a bug in package-lock.json migration when manually changing npm URLs to git URL...

Bun v1.1.39 - Fixes 61 bugs, addressing 99 ๐Ÿ‘ - bun.lock โ€“ bun's new text lockfile - 30% faster cached bun install - Lots of Node compatibility improvements - `bun build` Rust plugins - fetch() request body stream - more!! Thanks to 20 contributors bun.sh/blog/bun-v1....

bun.shBun v1.1.39Fixes 61 bugs (addressing 99 ๐Ÿ‘). bun.lock is bun's new text-based lockfile. Cached bun install gets 30% faster. fetch() request body streams. 100% of string_decoder, punycode and querystring Node.js t...

Bun reposted

Wow, I am super enamored of @bun.sh's `--hot` flag for running my @benchristel/taste #Typescript tests! Sub-second reruns on every keystroke? This is the way to write code without bugs.

View full thread

Merge conflicts are inevitable, and that's why we put each package and it's dependencies on a single line. Fewer lines means easier merge conflicts.

Bun will continue to support the binary `bun.lockb` for awhile. `bun.lock` will be the default for `bun install` after Bun v1.2. To try the new text-based lockfile before then, use the `--save-text-lockfile` flag and upgrade to --canary.

Unlike bun.lockb, this lockfile is human readable, which is important when working in teams The lockfile format is jsonc, like tsconfig.json. Trailing commas and comments are allowed.

Bun v1.1.37 - Fixes 62 bugs (addressing 109 ๐Ÿ‘) - Realtime debuggerless error reporting in VSCode - Fixed memory leak in Prisma - Fixed shadcn & sv crash on Windows - Better CSS parser errors - Fixed regression from v1.1.35 Thanks to 14 contributors! bun.sh/blog/bun-v1....

bun.shBun v1.1.37Fixes 62 bugs (addressing 109 ๐Ÿ‘). Realtime error reporting & test runner in VSCode, self-referencing `import` & `require`, package.json `config` environment variables, improved CSS parser errors, fixe...